<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'firmaCezaSorgula' => '\\StructType\\FirmaCezaSorgula',
            'uetdsYtsUser' => '\\StructType\\UetdsYtsUser',
            'uetdsFirmaCezaSorguInput' => '\\StructType\\UetdsFirmaCezaSorguInput',
            'firmaCezaSorgulaResponse' => '\\StructType\\FirmaCezaSorgulaResponse',
            'uetdsFirmaCezaListeSonuc' => '\\StructType\\UetdsFirmaCezaListeSonuc',
            'uetdsFirmaCezaListe' => '\\StructType\\UetdsFirmaCezaListe',
            'firmaIletisimBilgisiEkle' => '\\StructType\\FirmaIletisimBilgisiEkle',
            'uetdsFirmaIletisimInput' => '\\StructType\\UetdsFirmaIletisimInput',
            'firmaIletisimBilgisiEkleResponse' => '\\StructType\\FirmaIletisimBilgisiEkleResponse',
            'uetdsGenelIslemSonuc' => '\\StructType\\UetdsGenelIslemSonuc',
            'firmaIletisimBilgisiSil' => '\\StructType\\FirmaIletisimBilgisiSil',
            'firmaIletisimBilgisiSilResponse' => '\\StructType\\FirmaIletisimBilgisiSilResponse',
            'meslekiYeterlilikSorgula' => '\\StructType\\MeslekiYeterlilikSorgula',
            'meslekiYeterlilikSorgulaResponse' => '\\StructType\\MeslekiYeterlilikSorgulaResponse',
            'uetdsMesSorguSonuc' => '\\StructType\\UetdsMesSorguSonuc',
            'paramYukTuru' => '\\StructType\\ParamYukTuru',
            'paramYukTuruResponse' => '\\StructType\\ParamYukTuruResponse',
            'uetdsEsyaParamEsyaTurSonuc' => '\\StructType\\UetdsEsyaParamEsyaTurSonuc',
            'paramEsyaTurListesi' => '\\StructType\\ParamEsyaTurListesi',
            'iptalTurleri' => '\\StructType\\IptalTurleri',
            'iptalTurleriResponse' => '\\StructType\\IptalTurleriResponse',
            'uetdsEsyaParamIptalTuruSonuc' => '\\StructType\\UetdsEsyaParamIptalTuruSonuc',
            'paramIptalTurListesi' => '\\StructType\\ParamIptalTurListesi',
            'paramTehlikeliMaddeTasimaSekli' => '\\StructType\\ParamTehlikeliMaddeTasimaSekli',
            'paramTehlikeliMaddeTasimaSekliResponse' => '\\StructType\\ParamTehlikeliMaddeTasimaSekliResponse',
            'uetdsEsyaParamTehlikeliMaddeTasimaSekliSonuc' => '\\StructType\\UetdsEsyaParamTehlikeliMaddeTasimaSekliSonuc',
            'cstParamEsyaTehlikeliMaddeTasimaSekli' => '\\StructType\\CstParamEsyaTehlikeliMaddeTasimaSekli',
            'vizeOnBasvuruSurucuEkle' => '\\StructType\\VizeOnBasvuruSurucuEkle',
            'uetdsVizeSurucuBilgileri' => '\\StructType\\UetdsVizeSurucuBilgileri',
            'vizeOnBasvuruSurucuEkleResponse' => '\\StructType\\VizeOnBasvuruSurucuEkleResponse',
            'uetdsVizeSurucuEkleSonuc' => '\\StructType\\UetdsVizeSurucuEkleSonuc',
            'uetdsVizeSurucuSonuc' => '\\StructType\\UetdsVizeSurucuSonuc',
            'yetkiBelgesiKontrol' => '\\StructType\\YetkiBelgesiKontrol',
            'yetkiBelgesiKontrolResponse' => '\\StructType\\YetkiBelgesiKontrolResponse',
            'uetdsFirmaSonuc' => '\\StructType\\UetdsFirmaSonuc',
            'seferIptalTurleri' => '\\StructType\\SeferIptalTurleri',
            'seferIptalTurleriResponse' => '\\StructType\\SeferIptalTurleriResponse',
            'paramTasimaTurleri' => '\\StructType\\ParamTasimaTurleri',
            'paramTasimaTurleriResponse' => '\\StructType\\ParamTasimaTurleriResponse',
            'uetdsEsyaParamTasimaTuruSonuc' => '\\StructType\\UetdsEsyaParamTasimaTuruSonuc',
            'paramTasimaTuruListesi' => '\\StructType\\ParamTasimaTuruListesi',
            'aracMuayeneSorgula' => '\\StructType\\AracMuayeneSorgula',
            'aracMuayeneSorgulaResponse' => '\\StructType\\AracMuayeneSorgulaResponse',
            'uetdsMuayeneSorguSonuc' => '\\StructType\\UetdsMuayeneSorguSonuc',
            'seferDetayiV3' => '\\StructType\\SeferDetayiV3',
            'seferDetayiV3Response' => '\\StructType\\SeferDetayiV3Response',
            'uetdsEsyaSeferDetayiSonucV3' => '\\StructType\\UetdsEsyaSeferDetayiSonucV3',
            'wsUetdsEsyaSeferDetayi' => '\\StructType\\WsUetdsEsyaSeferDetayi',
            'wsUetdsEsyaSeferYukListesi' => '\\StructType\\WsUetdsEsyaSeferYukListesi',
            'yukIptalEtV3' => '\\StructType\\YukIptalEtV3',
            'yukIptalEtV3Response' => '\\StructType\\YukIptalEtV3Response',
            'vizeOnBasvuruIptal' => '\\StructType\\VizeOnBasvuruIptal',
            'vizeOnBasvuruIptalResponse' => '\\StructType\\VizeOnBasvuruIptalResponse',
            'seferAktifEtV3' => '\\StructType\\SeferAktifEtV3',
            'seferAktifEtV3Response' => '\\StructType\\SeferAktifEtV3Response',
            'ipSil' => '\\StructType\\IpSil',
            'ipSilResponse' => '\\StructType\\IpSilResponse',
            'webServisVersiyon' => '\\StructType\\WebServisVersiyon',
            'webServisVersiyonResponse' => '\\StructType\\WebServisVersiyonResponse',
            'uetdsWSVersiyonSonuc' => '\\StructType\\UetdsWSVersiyonSonuc',
            'uetdsEsyaWsVersiyon' => '\\StructType\\UetdsEsyaWsVersiyon',
            'yukAktifEtV3' => '\\StructType\\YukAktifEtV3',
            'yukAktifEtV3Response' => '\\StructType\\YukAktifEtV3Response',
            'vizeOnBasvuruDetay' => '\\StructType\\VizeOnBasvuruDetay',
            'vizeOnBasvuruDetayResponse' => '\\StructType\\VizeOnBasvuruDetayResponse',
            'uetdsVizeBasvuruDetaySonuc' => '\\StructType\\UetdsVizeBasvuruDetaySonuc',
            'sinirVizeBasvuruDetay' => '\\StructType\\SinirVizeBasvuruDetay',
            'sinirVizeBasvuruSurucuListe' => '\\StructType\\SinirVizeBasvuruSurucuListe',
            'paramYukTuruBozulabilirGida' => '\\StructType\\ParamYukTuruBozulabilirGida',
            'paramYukTuruBozulabilirGidaResponse' => '\\StructType\\ParamYukTuruBozulabilirGidaResponse',
            'uetdsEsyaParamBozulabilirGidaTurSonuc' => '\\StructType\\UetdsEsyaParamBozulabilirGidaTurSonuc',
            'firmaUyarmaSorgula' => '\\StructType\\FirmaUyarmaSorgula',
            'uetdsFirmaUyarmaSorguInput' => '\\StructType\\UetdsFirmaUyarmaSorguInput',
            'firmaUyarmaSorgulaResponse' => '\\StructType\\FirmaUyarmaSorgulaResponse',
            'uetdsFirmaUyarmaListeSonuc' => '\\StructType\\UetdsFirmaUyarmaListeSonuc',
            'uetdsFirmaUyarmaListe' => '\\StructType\\UetdsFirmaUyarmaListe',
            'paramTehlikeMaddeMuafiyetTurleri' => '\\StructType\\ParamTehlikeMaddeMuafiyetTurleri',
            'paramTehlikeMaddeMuafiyetTurleriResponse' => '\\StructType\\ParamTehlikeMaddeMuafiyetTurleriResponse',
            'uetdsEsyaParamMuafiyetTuruSonuc' => '\\StructType\\UetdsEsyaParamMuafiyetTuruSonuc',
            'uetdsParametre' => '\\StructType\\UetdsParametre',
            'firmaIletisimBilgisiListele' => '\\StructType\\FirmaIletisimBilgisiListele',
            'firmaIletisimBilgisiListeleResponse' => '\\StructType\\FirmaIletisimBilgisiListeleResponse',
            'uetdsFirmaIletisimListeSonuc' => '\\StructType\\UetdsFirmaIletisimListeSonuc',
            'uetdsFirmaIletisim' => '\\StructType\\UetdsFirmaIletisim',
            'vizeOnBasvuruListele' => '\\StructType\\VizeOnBasvuruListele',
            'surucuVizeOnBasvuruSorguInput' => '\\StructType\\SurucuVizeOnBasvuruSorguInput',
            'vizeOnBasvuruListeleResponse' => '\\StructType\\VizeOnBasvuruListeleResponse',
            'uetdsVizeBasvuruListeSonuc' => '\\StructType\\UetdsVizeBasvuruListeSonuc',
            'sinirVizeBasvuruListe' => '\\StructType\\SinirVizeBasvuruListe',
            'yeniSeferEkleV3' => '\\StructType\\YeniSeferEkleV3',
            'uetdsEsyaSeferBilgileriInputV3' => '\\StructType\\UetdsEsyaSeferBilgileriInputV3',
            'yeniSeferEkleV3Response' => '\\StructType\\YeniSeferEkleV3Response',
            'uetdsEsyaSeferEkleSonucV3' => '\\StructType\\UetdsEsyaSeferEkleSonucV3',
            'seferListesiV3' => '\\StructType\\SeferListesiV3',
            'seferListesiV3Response' => '\\StructType\\SeferListesiV3Response',
            'uetdsEsyaSeferListesiSonucV3' => '\\StructType\\UetdsEsyaSeferListesiSonucV3',
            'wsUetdsEsyaSeferListesi' => '\\StructType\\WsUetdsEsyaSeferListesi',
            'yukDuzenleV3' => '\\StructType\\YukDuzenleV3',
            'uetdsEsyaYukBilgileriInputV3' => '\\StructType\\UetdsEsyaYukBilgileriInputV3',
            'yukDuzenleV3Response' => '\\StructType\\YukDuzenleV3Response',
            'yukDetayiV3' => '\\StructType\\YukDetayiV3',
            'yukDetayiV3Response' => '\\StructType\\YukDetayiV3Response',
            'uetdsEsyaYukDetayiSonucV3' => '\\StructType\\UetdsEsyaYukDetayiSonucV3',
            'wsUetdsEsyaYukDetayi' => '\\StructType\\WsUetdsEsyaYukDetayi',
            'ipListele' => '\\StructType\\IpListele',
            'ipListeleResponse' => '\\StructType\\IpListeleResponse',
            'uetdsEsyaIPListeleSonuc' => '\\StructType\\UetdsEsyaIPListeleSonuc',
            'wsUetdsEsyaIPListesi' => '\\StructType\\WsUetdsEsyaIPListesi',
            'servisTest' => '\\StructType\\ServisTest',
            'servisTestResponse' => '\\StructType\\ServisTestResponse',
            'seferIptalEtV3' => '\\StructType\\SeferIptalEtV3',
            'seferIptalEtV3Response' => '\\StructType\\SeferIptalEtV3Response',
            'seferRaporuV3' => '\\StructType\\SeferRaporuV3',
            'seferRaporuV3Response' => '\\StructType\\SeferRaporuV3Response',
            'uetdsGenelPdfSonuc' => '\\StructType\\UetdsGenelPdfSonuc',
            'paramYukBirimi' => '\\StructType\\ParamYukBirimi',
            'paramYukBirimiResponse' => '\\StructType\\ParamYukBirimiResponse',
            'uetdsEsyaParamYukBirimiSonuc' => '\\StructType\\UetdsEsyaParamYukBirimiSonuc',
            'paramYukBirimiListesi' => '\\StructType\\ParamYukBirimiListesi',
            'vizeOnBasvuru' => '\\StructType\\VizeOnBasvuru',
            'uetdsSurucuVizeBasvuruInput' => '\\StructType\\UetdsSurucuVizeBasvuruInput',
            'vizeOnBasvuruResponse' => '\\StructType\\VizeOnBasvuruResponse',
            'uetdsSurucuVizeBasvuruSonuc' => '\\StructType\\UetdsSurucuVizeBasvuruSonuc',
            'sefereYukEkleV3' => '\\StructType\\SefereYukEkleV3',
            'sefereYukEkleV3Response' => '\\StructType\\SefereYukEkleV3Response',
            'uetdsEsyaYeniYukEkleSonucV3' => '\\StructType\\UetdsEsyaYeniYukEkleSonucV3',
            'uetdsEsyaSonucV3' => '\\StructType\\UetdsEsyaSonucV3',
            'ipTanimla' => '\\StructType\\IpTanimla',
            'ipTanimlaResponse' => '\\StructType\\IpTanimlaResponse',
            'seferDuzenleV3' => '\\StructType\\SeferDuzenleV3',
            'seferDuzenleV3Response' => '\\StructType\\SeferDuzenleV3Response',
        );
    }
}
