<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for uetdsFirmaCezaListeSonuc StructType
 * @subpackage Structs
 */
class UetdsFirmaCezaListeSonuc extends AbstractStructBase
{
    /**
     * The cezaListe
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\UetdsFirmaCezaListe[]
     */
    public $cezaListe;
    /**
     * The sonucKodu
     * @var int
     */
    public $sonucKodu;
    /**
     * The sonucMesaji
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sonucMesaji;
    /**
     * Constructor method for uetdsFirmaCezaListeSonuc
     * @uses UetdsFirmaCezaListeSonuc::setCezaListe()
     * @uses UetdsFirmaCezaListeSonuc::setSonucKodu()
     * @uses UetdsFirmaCezaListeSonuc::setSonucMesaji()
     * @param \StructType\UetdsFirmaCezaListe[] $cezaListe
     * @param int $sonucKodu
     * @param string $sonucMesaji
     */
    public function __construct(array $cezaListe = array(), $sonucKodu = null, $sonucMesaji = null)
    {
        $this
            ->setCezaListe($cezaListe)
            ->setSonucKodu($sonucKodu)
            ->setSonucMesaji($sonucMesaji);
    }
    /**
     * Get cezaListe value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\UetdsFirmaCezaListe[]|null
     */
    public function getCezaListe()
    {
        return isset($this->cezaListe) ? $this->cezaListe : null;
    }
    /**
     * This method is responsible for validating the values passed to the setCezaListe method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCezaListe method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateCezaListeForArrayConstraintsFromSetCezaListe(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $uetdsFirmaCezaListeSonucCezaListeItem) {
            // validation for constraint: itemType
            if (!$uetdsFirmaCezaListeSonucCezaListeItem instanceof \StructType\UetdsFirmaCezaListe) {
                $invalidValues[] = is_object($uetdsFirmaCezaListeSonucCezaListeItem) ? get_class($uetdsFirmaCezaListeSonucCezaListeItem) : sprintf('%s(%s)', gettype($uetdsFirmaCezaListeSonucCezaListeItem), var_export($uetdsFirmaCezaListeSonucCezaListeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The cezaListe property can only contain items of type \StructType\UetdsFirmaCezaListe, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set cezaListe value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsFirmaCezaListe[] $cezaListe
     * @return \StructType\UetdsFirmaCezaListeSonuc
     */
    public function setCezaListe(array $cezaListe = array())
    {
        // validation for constraint: array
        if ('' !== ($cezaListeArrayErrorMessage = self::validateCezaListeForArrayConstraintsFromSetCezaListe($cezaListe))) {
            throw new \InvalidArgumentException($cezaListeArrayErrorMessage, __LINE__);
        }
        if (is_null($cezaListe) || (is_array($cezaListe) && empty($cezaListe))) {
            unset($this->cezaListe);
        } else {
            $this->cezaListe = $cezaListe;
        }
        return $this;
    }
    /**
     * Add item to cezaListe value
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsFirmaCezaListe $item
     * @return \StructType\UetdsFirmaCezaListeSonuc
     */
    public function addToCezaListe(\StructType\UetdsFirmaCezaListe $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\UetdsFirmaCezaListe) {
            throw new \InvalidArgumentException(sprintf('The cezaListe property can only contain items of type \StructType\UetdsFirmaCezaListe, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->cezaListe[] = $item;
        return $this;
    }
    /**
     * Get sonucKodu value
     * @return int|null
     */
    public function getSonucKodu()
    {
        return $this->sonucKodu;
    }
    /**
     * Set sonucKodu value
     * @param int $sonucKodu
     * @return \StructType\UetdsFirmaCezaListeSonuc
     */
    public function setSonucKodu($sonucKodu = null)
    {
        // validation for constraint: int
        if (!is_null($sonucKodu) && !(is_int($sonucKodu) || ctype_digit($sonucKodu))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sonucKodu, true), gettype($sonucKodu)), __LINE__);
        }
        $this->sonucKodu = $sonucKodu;
        return $this;
    }
    /**
     * Get sonucMesaji value
     * @return string|null
     */
    public function getSonucMesaji()
    {
        return $this->sonucMesaji;
    }
    /**
     * Set sonucMesaji value
     * @param string $sonucMesaji
     * @return \StructType\UetdsFirmaCezaListeSonuc
     */
    public function setSonucMesaji($sonucMesaji = null)
    {
        // validation for constraint: string
        if (!is_null($sonucMesaji) && !is_string($sonucMesaji)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sonucMesaji, true), gettype($sonucMesaji)), __LINE__);
        }
        $this->sonucMesaji = $sonucMesaji;
        return $this;
    }
}
