<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for uetdsFirmaIletisimListeSonuc StructType
 * @subpackage Structs
 */
class UetdsFirmaIletisimListeSonuc extends AbstractStructBase
{
    /**
     * The sonucKodu
     * @var int
     */
    public $sonucKodu;
    /**
     * The sonucMesaji
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sonucMesaji;
    /**
     * The uetdsFirmaIletisimListesi
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\UetdsFirmaIletisim[]
     */
    public $uetdsFirmaIletisimListesi;
    /**
     * Constructor method for uetdsFirmaIletisimListeSonuc
     * @uses UetdsFirmaIletisimListeSonuc::setSonucKodu()
     * @uses UetdsFirmaIletisimListeSonuc::setSonucMesaji()
     * @uses UetdsFirmaIletisimListeSonuc::setUetdsFirmaIletisimListesi()
     * @param int $sonucKodu
     * @param string $sonucMesaji
     * @param \StructType\UetdsFirmaIletisim[] $uetdsFirmaIletisimListesi
     */
    public function __construct($sonucKodu = null, $sonucMesaji = null, array $uetdsFirmaIletisimListesi = array())
    {
        $this
            ->setSonucKodu($sonucKodu)
            ->setSonucMesaji($sonucMesaji)
            ->setUetdsFirmaIletisimListesi($uetdsFirmaIletisimListesi);
    }
    /**
     * Get sonucKodu value
     * @return int|null
     */
    public function getSonucKodu()
    {
        return $this->sonucKodu;
    }
    /**
     * Set sonucKodu value
     * @param int $sonucKodu
     * @return \StructType\UetdsFirmaIletisimListeSonuc
     */
    public function setSonucKodu($sonucKodu = null)
    {
        // validation for constraint: int
        if (!is_null($sonucKodu) && !(is_int($sonucKodu) || ctype_digit($sonucKodu))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sonucKodu, true), gettype($sonucKodu)), __LINE__);
        }
        $this->sonucKodu = $sonucKodu;
        return $this;
    }
    /**
     * Get sonucMesaji value
     * @return string|null
     */
    public function getSonucMesaji()
    {
        return $this->sonucMesaji;
    }
    /**
     * Set sonucMesaji value
     * @param string $sonucMesaji
     * @return \StructType\UetdsFirmaIletisimListeSonuc
     */
    public function setSonucMesaji($sonucMesaji = null)
    {
        // validation for constraint: string
        if (!is_null($sonucMesaji) && !is_string($sonucMesaji)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sonucMesaji, true), gettype($sonucMesaji)), __LINE__);
        }
        $this->sonucMesaji = $sonucMesaji;
        return $this;
    }
    /**
     * Get uetdsFirmaIletisimListesi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\UetdsFirmaIletisim[]|null
     */
    public function getUetdsFirmaIletisimListesi()
    {
        return isset($this->uetdsFirmaIletisimListesi) ? $this->uetdsFirmaIletisimListesi : null;
    }
    /**
     * This method is responsible for validating the values passed to the setUetdsFirmaIletisimListesi method
     * This method is willingly generated in order to preserve the one-line inline validation within the setUetdsFirmaIletisimListesi method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateUetdsFirmaIletisimListesiForArrayConstraintsFromSetUetdsFirmaIletisimListesi(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $uetdsFirmaIletisimListeSonucUetdsFirmaIletisimListesiItem) {
            // validation for constraint: itemType
            if (!$uetdsFirmaIletisimListeSonucUetdsFirmaIletisimListesiItem instanceof \StructType\UetdsFirmaIletisim) {
                $invalidValues[] = is_object($uetdsFirmaIletisimListeSonucUetdsFirmaIletisimListesiItem) ? get_class($uetdsFirmaIletisimListeSonucUetdsFirmaIletisimListesiItem) : sprintf('%s(%s)', gettype($uetdsFirmaIletisimListeSonucUetdsFirmaIletisimListesiItem), var_export($uetdsFirmaIletisimListeSonucUetdsFirmaIletisimListesiItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The uetdsFirmaIletisimListesi property can only contain items of type \StructType\UetdsFirmaIletisim, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set uetdsFirmaIletisimListesi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsFirmaIletisim[] $uetdsFirmaIletisimListesi
     * @return \StructType\UetdsFirmaIletisimListeSonuc
     */
    public function setUetdsFirmaIletisimListesi(array $uetdsFirmaIletisimListesi = array())
    {
        // validation for constraint: array
        if ('' !== ($uetdsFirmaIletisimListesiArrayErrorMessage = self::validateUetdsFirmaIletisimListesiForArrayConstraintsFromSetUetdsFirmaIletisimListesi($uetdsFirmaIletisimListesi))) {
            throw new \InvalidArgumentException($uetdsFirmaIletisimListesiArrayErrorMessage, __LINE__);
        }
        if (is_null($uetdsFirmaIletisimListesi) || (is_array($uetdsFirmaIletisimListesi) && empty($uetdsFirmaIletisimListesi))) {
            unset($this->uetdsFirmaIletisimListesi);
        } else {
            $this->uetdsFirmaIletisimListesi = $uetdsFirmaIletisimListesi;
        }
        return $this;
    }
    /**
     * Add item to uetdsFirmaIletisimListesi value
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsFirmaIletisim $item
     * @return \StructType\UetdsFirmaIletisimListeSonuc
     */
    public function addToUetdsFirmaIletisimListesi(\StructType\UetdsFirmaIletisim $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\UetdsFirmaIletisim) {
            throw new \InvalidArgumentException(sprintf('The uetdsFirmaIletisimListesi property can only contain items of type \StructType\UetdsFirmaIletisim, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->uetdsFirmaIletisimListesi[] = $item;
        return $this;
    }
}
