<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for uetdsFirmaUyarmaListeSonuc StructType
 * @subpackage Structs
 */
class UetdsFirmaUyarmaListeSonuc extends AbstractStructBase
{
    /**
     * The sonucKodu
     * @var int
     */
    public $sonucKodu;
    /**
     * The sonucMesaji
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sonucMesaji;
    /**
     * The uyarmaListe
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\UetdsFirmaUyarmaListe[]
     */
    public $uyarmaListe;
    /**
     * Constructor method for uetdsFirmaUyarmaListeSonuc
     * @uses UetdsFirmaUyarmaListeSonuc::setSonucKodu()
     * @uses UetdsFirmaUyarmaListeSonuc::setSonucMesaji()
     * @uses UetdsFirmaUyarmaListeSonuc::setUyarmaListe()
     * @param int $sonucKodu
     * @param string $sonucMesaji
     * @param \StructType\UetdsFirmaUyarmaListe[] $uyarmaListe
     */
    public function __construct($sonucKodu = null, $sonucMesaji = null, array $uyarmaListe = array())
    {
        $this
            ->setSonucKodu($sonucKodu)
            ->setSonucMesaji($sonucMesaji)
            ->setUyarmaListe($uyarmaListe);
    }
    /**
     * Get sonucKodu value
     * @return int|null
     */
    public function getSonucKodu()
    {
        return $this->sonucKodu;
    }
    /**
     * Set sonucKodu value
     * @param int $sonucKodu
     * @return \StructType\UetdsFirmaUyarmaListeSonuc
     */
    public function setSonucKodu($sonucKodu = null)
    {
        // validation for constraint: int
        if (!is_null($sonucKodu) && !(is_int($sonucKodu) || ctype_digit($sonucKodu))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sonucKodu, true), gettype($sonucKodu)), __LINE__);
        }
        $this->sonucKodu = $sonucKodu;
        return $this;
    }
    /**
     * Get sonucMesaji value
     * @return string|null
     */
    public function getSonucMesaji()
    {
        return $this->sonucMesaji;
    }
    /**
     * Set sonucMesaji value
     * @param string $sonucMesaji
     * @return \StructType\UetdsFirmaUyarmaListeSonuc
     */
    public function setSonucMesaji($sonucMesaji = null)
    {
        // validation for constraint: string
        if (!is_null($sonucMesaji) && !is_string($sonucMesaji)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sonucMesaji, true), gettype($sonucMesaji)), __LINE__);
        }
        $this->sonucMesaji = $sonucMesaji;
        return $this;
    }
    /**
     * Get uyarmaListe value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\UetdsFirmaUyarmaListe[]|null
     */
    public function getUyarmaListe()
    {
        return isset($this->uyarmaListe) ? $this->uyarmaListe : null;
    }
    /**
     * This method is responsible for validating the values passed to the setUyarmaListe method
     * This method is willingly generated in order to preserve the one-line inline validation within the setUyarmaListe method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateUyarmaListeForArrayConstraintsFromSetUyarmaListe(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $uetdsFirmaUyarmaListeSonucUyarmaListeItem) {
            // validation for constraint: itemType
            if (!$uetdsFirmaUyarmaListeSonucUyarmaListeItem instanceof \StructType\UetdsFirmaUyarmaListe) {
                $invalidValues[] = is_object($uetdsFirmaUyarmaListeSonucUyarmaListeItem) ? get_class($uetdsFirmaUyarmaListeSonucUyarmaListeItem) : sprintf('%s(%s)', gettype($uetdsFirmaUyarmaListeSonucUyarmaListeItem), var_export($uetdsFirmaUyarmaListeSonucUyarmaListeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The uyarmaListe property can only contain items of type \StructType\UetdsFirmaUyarmaListe, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set uyarmaListe value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsFirmaUyarmaListe[] $uyarmaListe
     * @return \StructType\UetdsFirmaUyarmaListeSonuc
     */
    public function setUyarmaListe(array $uyarmaListe = array())
    {
        // validation for constraint: array
        if ('' !== ($uyarmaListeArrayErrorMessage = self::validateUyarmaListeForArrayConstraintsFromSetUyarmaListe($uyarmaListe))) {
            throw new \InvalidArgumentException($uyarmaListeArrayErrorMessage, __LINE__);
        }
        if (is_null($uyarmaListe) || (is_array($uyarmaListe) && empty($uyarmaListe))) {
            unset($this->uyarmaListe);
        } else {
            $this->uyarmaListe = $uyarmaListe;
        }
        return $this;
    }
    /**
     * Add item to uyarmaListe value
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsFirmaUyarmaListe $item
     * @return \StructType\UetdsFirmaUyarmaListeSonuc
     */
    public function addToUyarmaListe(\StructType\UetdsFirmaUyarmaListe $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\UetdsFirmaUyarmaListe) {
            throw new \InvalidArgumentException(sprintf('The uyarmaListe property can only contain items of type \StructType\UetdsFirmaUyarmaListe, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->uyarmaListe[] = $item;
        return $this;
    }
}
