<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for uetdsSurucuVizeBasvuruSonuc StructType
 * @subpackage Structs
 */
class UetdsSurucuVizeBasvuruSonuc extends AbstractStructBase
{
    /**
     * The sonucKodu
     * @var int
     */
    public $sonucKodu;
    /**
     * The sonucMesaji
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sonucMesaji;
    /**
     * The vizeOnBasvuruNo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $vizeOnBasvuruNo;
    /**
     * The islemSonuc
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\UetdsVizeSurucuSonuc[]
     */
    public $islemSonuc;
    /**
     * Constructor method for uetdsSurucuVizeBasvuruSonuc
     * @uses UetdsSurucuVizeBasvuruSonuc::setSonucKodu()
     * @uses UetdsSurucuVizeBasvuruSonuc::setSonucMesaji()
     * @uses UetdsSurucuVizeBasvuruSonuc::setVizeOnBasvuruNo()
     * @uses UetdsSurucuVizeBasvuruSonuc::setIslemSonuc()
     * @param int $sonucKodu
     * @param string $sonucMesaji
     * @param string $vizeOnBasvuruNo
     * @param \StructType\UetdsVizeSurucuSonuc[] $islemSonuc
     */
    public function __construct($sonucKodu = null, $sonucMesaji = null, $vizeOnBasvuruNo = null, array $islemSonuc = array())
    {
        $this
            ->setSonucKodu($sonucKodu)
            ->setSonucMesaji($sonucMesaji)
            ->setVizeOnBasvuruNo($vizeOnBasvuruNo)
            ->setIslemSonuc($islemSonuc);
    }
    /**
     * Get sonucKodu value
     * @return int|null
     */
    public function getSonucKodu()
    {
        return $this->sonucKodu;
    }
    /**
     * Set sonucKodu value
     * @param int $sonucKodu
     * @return \StructType\UetdsSurucuVizeBasvuruSonuc
     */
    public function setSonucKodu($sonucKodu = null)
    {
        // validation for constraint: int
        if (!is_null($sonucKodu) && !(is_int($sonucKodu) || ctype_digit($sonucKodu))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sonucKodu, true), gettype($sonucKodu)), __LINE__);
        }
        $this->sonucKodu = $sonucKodu;
        return $this;
    }
    /**
     * Get sonucMesaji value
     * @return string|null
     */
    public function getSonucMesaji()
    {
        return $this->sonucMesaji;
    }
    /**
     * Set sonucMesaji value
     * @param string $sonucMesaji
     * @return \StructType\UetdsSurucuVizeBasvuruSonuc
     */
    public function setSonucMesaji($sonucMesaji = null)
    {
        // validation for constraint: string
        if (!is_null($sonucMesaji) && !is_string($sonucMesaji)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sonucMesaji, true), gettype($sonucMesaji)), __LINE__);
        }
        $this->sonucMesaji = $sonucMesaji;
        return $this;
    }
    /**
     * Get vizeOnBasvuruNo value
     * @return string|null
     */
    public function getVizeOnBasvuruNo()
    {
        return $this->vizeOnBasvuruNo;
    }
    /**
     * Set vizeOnBasvuruNo value
     * @param string $vizeOnBasvuruNo
     * @return \StructType\UetdsSurucuVizeBasvuruSonuc
     */
    public function setVizeOnBasvuruNo($vizeOnBasvuruNo = null)
    {
        // validation for constraint: string
        if (!is_null($vizeOnBasvuruNo) && !is_string($vizeOnBasvuruNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vizeOnBasvuruNo, true), gettype($vizeOnBasvuruNo)), __LINE__);
        }
        $this->vizeOnBasvuruNo = $vizeOnBasvuruNo;
        return $this;
    }
    /**
     * Get islemSonuc value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\UetdsVizeSurucuSonuc[]|null
     */
    public function getIslemSonuc()
    {
        return isset($this->islemSonuc) ? $this->islemSonuc : null;
    }
    /**
     * This method is responsible for validating the values passed to the setIslemSonuc method
     * This method is willingly generated in order to preserve the one-line inline validation within the setIslemSonuc method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateIslemSonucForArrayConstraintsFromSetIslemSonuc(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $uetdsSurucuVizeBasvuruSonucIslemSonucItem) {
            // validation for constraint: itemType
            if (!$uetdsSurucuVizeBasvuruSonucIslemSonucItem instanceof \StructType\UetdsVizeSurucuSonuc) {
                $invalidValues[] = is_object($uetdsSurucuVizeBasvuruSonucIslemSonucItem) ? get_class($uetdsSurucuVizeBasvuruSonucIslemSonucItem) : sprintf('%s(%s)', gettype($uetdsSurucuVizeBasvuruSonucIslemSonucItem), var_export($uetdsSurucuVizeBasvuruSonucIslemSonucItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The islemSonuc property can only contain items of type \StructType\UetdsVizeSurucuSonuc, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set islemSonuc value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsVizeSurucuSonuc[] $islemSonuc
     * @return \StructType\UetdsSurucuVizeBasvuruSonuc
     */
    public function setIslemSonuc(array $islemSonuc = array())
    {
        // validation for constraint: array
        if ('' !== ($islemSonucArrayErrorMessage = self::validateIslemSonucForArrayConstraintsFromSetIslemSonuc($islemSonuc))) {
            throw new \InvalidArgumentException($islemSonucArrayErrorMessage, __LINE__);
        }
        if (is_null($islemSonuc) || (is_array($islemSonuc) && empty($islemSonuc))) {
            unset($this->islemSonuc);
        } else {
            $this->islemSonuc = $islemSonuc;
        }
        return $this;
    }
    /**
     * Add item to islemSonuc value
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsVizeSurucuSonuc $item
     * @return \StructType\UetdsSurucuVizeBasvuruSonuc
     */
    public function addToIslemSonuc(\StructType\UetdsVizeSurucuSonuc $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\UetdsVizeSurucuSonuc) {
            throw new \InvalidArgumentException(sprintf('The islemSonuc property can only contain items of type \StructType\UetdsVizeSurucuSonuc, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->islemSonuc[] = $item;
        return $this;
    }
}
