<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for uetdsVizeBasvuruDetaySonuc StructType
 * @subpackage Structs
 */
class UetdsVizeBasvuruDetaySonuc extends AbstractStructBase
{
    /**
     * The sonucKodu
     * @var int
     */
    public $sonucKodu;
    /**
     * The sonucMesaji
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sonucMesaji;
    /**
     * The basvuruDetay
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SinirVizeBasvuruDetay
     */
    public $basvuruDetay;
    /**
     * The basvuruSurucuListe
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SinirVizeBasvuruSurucuListe[]
     */
    public $basvuruSurucuListe;
    /**
     * Constructor method for uetdsVizeBasvuruDetaySonuc
     * @uses UetdsVizeBasvuruDetaySonuc::setSonucKodu()
     * @uses UetdsVizeBasvuruDetaySonuc::setSonucMesaji()
     * @uses UetdsVizeBasvuruDetaySonuc::setBasvuruDetay()
     * @uses UetdsVizeBasvuruDetaySonuc::setBasvuruSurucuListe()
     * @param int $sonucKodu
     * @param string $sonucMesaji
     * @param \StructType\SinirVizeBasvuruDetay $basvuruDetay
     * @param \StructType\SinirVizeBasvuruSurucuListe[] $basvuruSurucuListe
     */
    public function __construct($sonucKodu = null, $sonucMesaji = null, \StructType\SinirVizeBasvuruDetay $basvuruDetay = null, array $basvuruSurucuListe = array())
    {
        $this
            ->setSonucKodu($sonucKodu)
            ->setSonucMesaji($sonucMesaji)
            ->setBasvuruDetay($basvuruDetay)
            ->setBasvuruSurucuListe($basvuruSurucuListe);
    }
    /**
     * Get sonucKodu value
     * @return int|null
     */
    public function getSonucKodu()
    {
        return $this->sonucKodu;
    }
    /**
     * Set sonucKodu value
     * @param int $sonucKodu
     * @return \StructType\UetdsVizeBasvuruDetaySonuc
     */
    public function setSonucKodu($sonucKodu = null)
    {
        // validation for constraint: int
        if (!is_null($sonucKodu) && !(is_int($sonucKodu) || ctype_digit($sonucKodu))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sonucKodu, true), gettype($sonucKodu)), __LINE__);
        }
        $this->sonucKodu = $sonucKodu;
        return $this;
    }
    /**
     * Get sonucMesaji value
     * @return string|null
     */
    public function getSonucMesaji()
    {
        return $this->sonucMesaji;
    }
    /**
     * Set sonucMesaji value
     * @param string $sonucMesaji
     * @return \StructType\UetdsVizeBasvuruDetaySonuc
     */
    public function setSonucMesaji($sonucMesaji = null)
    {
        // validation for constraint: string
        if (!is_null($sonucMesaji) && !is_string($sonucMesaji)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sonucMesaji, true), gettype($sonucMesaji)), __LINE__);
        }
        $this->sonucMesaji = $sonucMesaji;
        return $this;
    }
    /**
     * Get basvuruDetay value
     * @return \StructType\SinirVizeBasvuruDetay|null
     */
    public function getBasvuruDetay()
    {
        return $this->basvuruDetay;
    }
    /**
     * Set basvuruDetay value
     * @param \StructType\SinirVizeBasvuruDetay $basvuruDetay
     * @return \StructType\UetdsVizeBasvuruDetaySonuc
     */
    public function setBasvuruDetay(\StructType\SinirVizeBasvuruDetay $basvuruDetay = null)
    {
        $this->basvuruDetay = $basvuruDetay;
        return $this;
    }
    /**
     * Get basvuruSurucuListe value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SinirVizeBasvuruSurucuListe[]|null
     */
    public function getBasvuruSurucuListe()
    {
        return isset($this->basvuruSurucuListe) ? $this->basvuruSurucuListe : null;
    }
    /**
     * This method is responsible for validating the values passed to the setBasvuruSurucuListe method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBasvuruSurucuListe method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBasvuruSurucuListeForArrayConstraintsFromSetBasvuruSurucuListe(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $uetdsVizeBasvuruDetaySonucBasvuruSurucuListeItem) {
            // validation for constraint: itemType
            if (!$uetdsVizeBasvuruDetaySonucBasvuruSurucuListeItem instanceof \StructType\SinirVizeBasvuruSurucuListe) {
                $invalidValues[] = is_object($uetdsVizeBasvuruDetaySonucBasvuruSurucuListeItem) ? get_class($uetdsVizeBasvuruDetaySonucBasvuruSurucuListeItem) : sprintf('%s(%s)', gettype($uetdsVizeBasvuruDetaySonucBasvuruSurucuListeItem), var_export($uetdsVizeBasvuruDetaySonucBasvuruSurucuListeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The basvuruSurucuListe property can only contain items of type \StructType\SinirVizeBasvuruSurucuListe, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set basvuruSurucuListe value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\SinirVizeBasvuruSurucuListe[] $basvuruSurucuListe
     * @return \StructType\UetdsVizeBasvuruDetaySonuc
     */
    public function setBasvuruSurucuListe(array $basvuruSurucuListe = array())
    {
        // validation for constraint: array
        if ('' !== ($basvuruSurucuListeArrayErrorMessage = self::validateBasvuruSurucuListeForArrayConstraintsFromSetBasvuruSurucuListe($basvuruSurucuListe))) {
            throw new \InvalidArgumentException($basvuruSurucuListeArrayErrorMessage, __LINE__);
        }
        if (is_null($basvuruSurucuListe) || (is_array($basvuruSurucuListe) && empty($basvuruSurucuListe))) {
            unset($this->basvuruSurucuListe);
        } else {
            $this->basvuruSurucuListe = $basvuruSurucuListe;
        }
        return $this;
    }
    /**
     * Add item to basvuruSurucuListe value
     * @throws \InvalidArgumentException
     * @param \StructType\SinirVizeBasvuruSurucuListe $item
     * @return \StructType\UetdsVizeBasvuruDetaySonuc
     */
    public function addToBasvuruSurucuListe(\StructType\SinirVizeBasvuruSurucuListe $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\SinirVizeBasvuruSurucuListe) {
            throw new \InvalidArgumentException(sprintf('The basvuruSurucuListe property can only contain items of type \StructType\SinirVizeBasvuruSurucuListe, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->basvuruSurucuListe[] = $item;
        return $this;
    }
}
